Get Business Data
curl --request GET \
--url https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"total": 50,
"businesses": [
{
"id": "UCEW29",
"user_id": "760966468715937814",
"username": "ttunku_pal",
"name": "Roma Aeterna",
"form": "ООО",
"status": "active",
"created_at": 1761587615,
"approved_by": "1133665013794607114",
"owner_id": "760966468715937814",
"owner_name": "ttunku_pal",
"channel_id": "1432651696210841760",
"channel_name": "🇮🇹┃roma-aeterna",
"role_id": "1432651691987304522",
"role_name": "Roma Aeterna",
"employee_role_id": "1432651694289846302",
"employee_role_name": "Сотрудник Бизнеса Roma Aeterna",
"description": "В «Roma Aeterna» мы верим, что лучшие беседы рождаются за вкусной едой. Наше кафе создано для того, чтобы вы чувствовали себя как в гостях у друзей в солнечной Италии.",
"info_msg_id": "1432651699952156712",
"address": "2221 Southern Avenue",
"bank": 350
}
]
}GET-Ендпоінти API Економіки
Отримання даних бізнесів
Retrieve information about businesses on the server.
Available actions:
list- list of all businesses (requires page, limit).info- business information (requires businessId or businessName).balance- business balance (requires businessId).employees- business employees (requires businessId, page, limit).store- business products (requires businessName).transfers- business transfers (requires businessId, page, limit).rating- top businesses by balance (requires limit).pending- pending business creation requests.
GET
/
moscowroleplay
/
civops
/
businesses
Get Business Data
curl --request GET \
--url https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erlcrussia.com/v2/moscowroleplay/civops/businesses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"total": 50,
"businesses": [
{
"id": "UCEW29",
"user_id": "760966468715937814",
"username": "ttunku_pal",
"name": "Roma Aeterna",
"form": "ООО",
"status": "active",
"created_at": 1761587615,
"approved_by": "1133665013794607114",
"owner_id": "760966468715937814",
"owner_name": "ttunku_pal",
"channel_id": "1432651696210841760",
"channel_name": "🇮🇹┃roma-aeterna",
"role_id": "1432651691987304522",
"role_name": "Roma Aeterna",
"employee_role_id": "1432651694289846302",
"employee_role_name": "Сотрудник Бизнеса Roma Aeterna",
"description": "В «Roma Aeterna» мы верим, что лучшие беседы рождаются за вкусной едой. Наше кафе создано для того, чтобы вы чувствовали себя как в гостях у друзей в солнечной Италии.",
"info_msg_id": "1432651699952156712",
"address": "2221 Southern Avenue",
"bank": 350
}
]
}Авторизації
API key for accessing CivOps endpoints.
Passed in the Authorization: Bearer <key> header.
REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).
Параметри запиту
Action type for retrieving data.
Доступні опції:
list, info, balance, employees, store, transfers, rating, pending Business ID (for info, balance, employees, transfers).
Business name.
Record limit.
Page number.
Відповідь
Successful response with business data.
The response is of type object.
Чи була ця сторінка корисною?